[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apt-get wants to remove my packages ?

On 6 Dec 1998, Eric Jacoboni wrote:

> Hi,
> I ran apt-get today and some strange things happen : as usual, apt-get 
> update ; apt-get dist-upgrade found new packages to upgrade but, for
> the first time, it removes some of my installed packages, even
> sysvinit, bsdmainutils and bsdutils. Last but not least, it ended with 
> removing dpkg himself ! 

> =-=-=-=-=
> titine:/var/cache/apt/archives# apt-get dist-upgrade
> Updating package status cache...done
> Checking system integrity...ok
> Note, a broken or group was found in gnus.
> The following packages will be REMOVED:
>   gnus xemacs20-nomule bsdutils modutils emacsen-common xemacs20-bin bbdb
>   bsdmainutils xemacs20-support sysvinit dpkg inn cron 
> The following packages have been kept back
>   gtop imlib-dev doc-linux-text 
> 3 packages upgraded, 0 newly installed, 13 to remove and 3 not upgraded.
> 1 packages not fully installed or removed.
> Need to get 0b/1923k of archives. After unpacking 45.1M will be freed.
> Do you want to continue? [Y/n] n
> =-=-=-=-=-
> I don't understand why apt-get wants to remove these packages ?

Upon carefull inspection it seems that I omitted the check for essential
packages for dist-upgrade. Woops. There is supposed to be a big warning
that looks something like:

Wakko{jgg}~/work/apt/build/bin#./apt-get -o debug::nolocking=true -o
debug::pkgproblemresolver=false dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  at anacron mutt mailx bsdutils modutils isapnptools kernel-package dpkg-perl
  dpkg-ftp alsa-modules bsdmainutils kbd sysvinit dpkg cron exim 
WARNING: The following essential packages will be removed
This should NOT be done unless you know exactly what you are doing!
  bsdutils sysvinit (due to bsdutils) dpkg (due to sysvinit) 
28 packages upgraded, 0 newly installed, 17 to remove and 0 not upgraded.
Need to get 22.0M of archives. After unpacking 5021k will be freed.
Do you want to continue? [Y/n] n

The trouble is that Dale made libc conflict with the only dpkg in slink.
APT and dist-upgrade considers a new libc6 to be more important than dpkg
so sacrifices dpkg. Neat eh? No this is not a 'bug' the entire point of
dist-upgrade is to purge obsolete packages.

I might twiddle with this and see if I can tweak things to be better
behaved, but that might cause side effects for people upgrading from
rexx or bo.

This libc should have NEVER been allowed into slink when it conflicts with


Reply to: